For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prediction API Keys

Get all prediction API keys

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's prediction API keys

application/json
PredictionApiKey[]Optional
get/api/v2/api/prediction
GET /api/v2/api/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's prediction API keys

[]

Create a new prediction API key

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the API key max 255 characters

Example: My API Key
exchangeIdnumberRequired

The id of a Exchange

Example: 1
funderAddressstringRequired

PolyMarket platform funder address

Example: 0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68
walletPrivateKeystringRequired

Signer wallet private key

Example: dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32
Responses
201

API key created successfully

application/json
anyOptional
post/api/v2/api/prediction
POST /api/v2/api/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 177

{
  "name": "My API Key",
  "exchangeId": "1",
  "funderAddress": "0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68",
  "walletPrivateKey": "dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32"
}

No content

Get prediction signal bots by API ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated list of prediction signal bots

application/json
totalintegerOptional
dataPredictionSignalBot[]Optional
get/api/v2/api/prediction/bot/signal/{id}
GET /api/v2/api/prediction/bot/signal/{id}?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "total": 1,
  "data": []
}

Update prediction API key status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/api/prediction/{id}/status
PUT /api/v2/api/prediction/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Delete prediction API key

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

API key deleted successfully

application/json
stringOptionalExample: Deleted
delete/api/v2/api/prediction/{id}
DELETE /api/v2/api/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Deleted

Test prediction API credentials

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
exchangeIdnumberRequired

The id of a Exchange

Example: 1
funderAddressnumberRequired

PolyMarket platform funder address

Example: 0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68
walletPrivateKeystringRequired

Signer wallet private key

Example: dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32
Responses
200

API credentials are valid

application/json
booleanOptionalExample: true
post/api/v2/api/prediction/test
POST /api/v2/api/prediction/test HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 157

{
  "exchangeId": "1",
  "funderAddress": "0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68",
  "walletPrivateKey": "dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32"
}
true

Last updated